Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.handler
Class WSRPExtensionHandler

    java.lang.Object
      javax.xml.rpc.handler.GenericHandler
          org.jboss.portal.wsrp.handler.WSRPExtensionHandler

All Implemented Interfaces:
  javax.xml.rpc.handler.Handler

    public class WSRPExtensionHandler

extends javax.xml.rpc.handler.GenericHandler

JAX-RPC Handler that strips the SOAP Message of any WSRP extensions. Right now, only operates on response messages.

Since:
  2.4 (Apr 26, 2006)
Version:
  $Revision: 8784 $
Author:
  Anil Saldhana, Chris Laprun

Constructor Summary
`WSRPExtensionHandler()`

Method Summary
`javax.xml.namespace.QName[]` | `getHeaders()`
`boolean` | `handleRequest(javax.xml.rpc.handler.MessageContext messageContext)`
`boolean` | `handleResponse(javax.xml.rpc.handler.MessageContext messageContext)`
`void` | `init(javax.xml.rpc.handler.HandlerInfo info)`

Methods inherited from class javax.xml.rpc.handler.GenericHandler
`destroy, handleFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRPExtensionHandler

    public WSRPExtensionHandler()

Method Detail

### init

    public void init(javax.xml.rpc.handler.HandlerInfo info)

  Specified by:
    `init` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `init` in class `javax.xml.rpc.handler.GenericHandler`

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Specified by:
    `getHeaders` in interface `javax.xml.rpc.handler.Handler`
  Specified by:
    `getHeaders` in class `javax.xml.rpc.handler.GenericHandler`

### handleResponse

    public boolean handleResponse(javax.xml.rpc.handler.MessageContext messageContext)

  Specified by:
    `handleResponse` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `handleResponse` in class `javax.xml.rpc.handler.GenericHandler`

### handleRequest

    public boolean handleRequest(javax.xml.rpc.handler.MessageContext messageContext)

  Specified by:
    `handleRequest` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `handleRequest` in class `javax.xml.rpc.handler.GenericHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD